<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Redirect;
class Contractor extends Model
{
    use HasFactory;
    protected $fillable = [
        'user_id','name', 'company_name', 'address', 'city', 'zip', 'country', 'phone', 'mobile', 'email'
    ];
    public static function ContractorSaveData($request){
        Contractor::create([
            'user_id' => auth()->user()->id,
            'company_name' => $request->company_name,
            'name' => $request->name,
            'email' => $request->email,
            'address' => $request->address,
            'country' => $request->country,
            'city' => $request->city,
            'zip' => $request->zip,
            'phone' => $request->phone,
            'mobile' => $request->mobile,
        ]);
        return back()->with('success', 'Record Added successfully.');
    }

    public static function getAllContractors(){
        $data = Contractor::all();
        if ($data->isNotEmpty()) {
            // The branding table has data
            return $data;
        }else{
            return $arr = array(
                array(
                    "company_name" => "TechSolutions Inc.",
                    "name" => "John Doe",
                    "city" => "New York",
                    "zip" => "10001",
                    "mobile" => "+1 (123) 456-7890",
                    "number" => "123456",
                    "email" => "john@example.com",
                    'status' => false,
                ),
                array(
                    "company_name" => "GreenTech Innovations",
                    "name" => "Jane Smith",
                    "city" => "Los Angeles",
                    "zip" => "90001",
                    "mobile" => "+1 (987) 654-3210",
                    "number" => "654321",
                    "email" => "jane@example.com",
                    'status' => false,
                )
            );
        }
    }
    public static function updateById($request){
        $findRecord = Contractor::find($request->input('id')); 
        $findRecord->company_name = $request->company_name;
        $findRecord->name = $request->name;
        $findRecord->email = $request->email;
        $findRecord->address = $request->address;
        $findRecord->country = $request->country;
        $findRecord->city = $request->city;
        $findRecord->zip = $request->zip;
        $findRecord->phone = $request->phone;
        $findRecord->mobile = $request->mobile;
        $findRecord->save();
        return back()->with('success', 'Record Updated successfully.');
    }
}
