<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FurnitureRequirement extends Model
{
    use HasFactory;
    protected $table = 'furniture_requirements';

    protected $guarded = ['id'];

    public function details()
    {
        return $this->hasMany('App\Models\FurnitureRequirementDetail', 'furniture_requirement_id');
    }

    public static function saveRequirement($request, $id)
    {
        FurnitureRequirement::where(['user_id' => $id])->delete();
        $furnitureRequirement = new FurnitureRequirement;
        if (isset($request->furniture_requirement['id'])) {
            $furnitureRequirement->id = $request->furniture_requirement['id'];
        }
        $furnitureRequirement->fill($request->furniture_requirement);
        $furnitureRequirement->user_id = $id;
        $furnitureRequirement->save();
        FurnitureRequirementDetail::where(['furniture_requirement_id' => $furnitureRequirement->id])->delete();
        foreach ($request->furniture_requirement_details as $detail) {
            $furnitureRequirementDetail = new FurnitureRequirementDetail;
            if (isset($detail['id'])) {
                $furnitureRequirementDetail->id = $detail['id'];
                unset($detail['id']);
            }
            $furnitureRequirementDetail->fill($detail);
            $furnitureRequirementDetail->furniture_requirement_id = $furnitureRequirement->id;
            $furnitureRequirementDetail->save();
        }
    }
    public static function updateRequirement($id, $request)
    {
        FurnitureRequirement::where(['user_id' => $id])->delete();
        $furnitureRequirement = new FurnitureRequirement;
        if (isset($request->furniture_requirement['id'])) {
            $furnitureRequirement->id = $request->furniture_requirement['id'];
        }
        $furnitureRequirement->fill($request->furniture_requirement);
        $furnitureRequirement->user_id = $id;
        $furnitureRequirement->save();
        
        FurnitureRequirementDetail::where(['furniture_requirement_id' => $furnitureRequirement->id])->delete();
        foreach ($request->furniture_requirement_details as $detail) {
            $furnitureRequirementDetail = new FurnitureRequirementDetail;
            if (isset($detail['id'])) {
                $furnitureRequirementDetail->id = $detail['id'];
                unset($detail['id']);
            }
            $furnitureRequirementDetail->fill($detail);
            $furnitureRequirementDetail->furniture_requirement_id = $furnitureRequirement->id;
            $furnitureRequirementDetail->save();
        }
    }
}
