<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MailContent extends Model
{
    use HasFactory;
    protected $fillable = [
        'mail_type','user_type','mail_category','subject','content'
    ];
    
    public static function insertData($model, $request){
        $data = MailContent::all();
        if($data){
            $mail_type = $request->input('mail_type');
            $user_type = $request->input('user_type');
            $mail_category = $request->input('mail_category');
            $exists = $data->contains(function ($item) use ($mail_type, $user_type, $mail_category) {
                return $item->mail_type == $mail_type && 
                       $item->user_type == $user_type && 
                       $item->mail_category == $mail_category;
            });
            if ($exists) {
                return back()->with('error', 'Record Already Exist.');    
            }
        }
        MailContent::create([
            'mail_type' => $request->input('mail_type'),
            'user_type' => $request->input('user_type'),
            'mail_category' => $request->input('mail_category'),
            'subject' => $request->input('subject'),
            'content' => $request->input('content'),
        ]);
        return back()->with('success', 'Record Added successfully.');
    }
    public static function getMailContents(){
        $data = MailContent::all();
        if($data){
            return $data;
        }else{
            return [];
        }
    }
}
