<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Storage;

class Media extends Model
{
    use HasFactory;

    protected $table = 'medias';
    protected $fillable = ['image','category'];
    public static function getFirstBoothDesign($type){
        if($type == 'booth'){
            $data = Media::where('category','booth')->first();
        }elseif($type == 'map'){
            $data = Media::where('category','map')->first();
        }elseif($type == 'website-logo'){
            $data = Media::where('category','website-logo')->first();
        }elseif($type == 'badge'){
            $data = Media::where('category',$type)->first();
        }else{
            $data = Media::where('category','media')->first();
        }
        if ($data) {
            return $data;
        }else{
            return $arr = [
                    'id' => 1,
                    'image' => 'https://placehold.co/600x400',
                    'status' => false
                ];
        }
    }
    public static function boothSave($request,$type){
        // $request->validate([
        //     'image' => 'required|image|mimes:jpeg,png,jpg,gif|max:2048',
        // ]);
        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $imageName = time() . '.' . $image->getClientOriginalExtension();

            // Check if the directory exists, create it if not
            if (!Storage::exists('public/medias')) {
                Storage::makeDirectory('public/medias');
            }

            // Store the image in the furniture directory
            $imagePath = $image->storeAs('public/medias', $imageName);
            $imageUrl = str_replace('public/', '', $imagePath);
            Media::create([
                'image' => $imageUrl,
                'category' => $type,
            ]);
            return back()->with('success', 'Record Added successfully.');
        }

        return back()->with('error', 'Failed to upload image.');
    }

    public static function updateById($request, $type){
        $findRecord = Media::find($request->input('id')); 
        if ($request->hasFile('image')) {
            $deleteImage = 'public/' . $findRecord->image;
            Storage::delete($deleteImage);
            // Store the new image
            $image = $request->file('image');
            $imageName = time() . '.' . $image->getClientOriginalExtension();
            $imagePath = $image->storeAs('public/medias', $imageName);
            $imageUrl = str_replace('public/', '', $imagePath);
        
            // Update the image path in the database
            $findRecord->image = $imageUrl;
        }
        $findRecord->category = $type;
        $findRecord->save();
        return back()->with('success', 'Record Updated successfully.');
    }
    
}
