<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Visitor extends User
{
    protected $table = 'users';
    
    public function profile()
    {
        return $this->hasOne('App\Models\VisitorProfile', 'user_id');
    }

    public function businesses()
    {
        return $this->belongsToMany('App\Models\Business', 'business_user', 'user_id', 'business_id');
    }

    public function getBadgeNumberAttribute()
    {
        $series = BadgeContent::find(1);
        return ucwords($series->content . str_pad($this->id, 6, "0", STR_PAD_LEFT));
    }

}
