    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Badge Limits</div>
                            <button style="display: inline-block;float: right;margin: 12px 0 20px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredbadgelimits">
                                Add Badge Limits
                            </button>
                        </div>
                        <div class="card-body">
                        <table class="table datatable datatable-table">
                            <thead>
                                <tr>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                            class="datatable-sorter">#</button></th>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                            class="datatable-sorter">Min Square Footage</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Max Square Footage</button></th>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">No Of Badges</button></th>
                                    <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                        style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                    <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                            class="datatable-sorter">Delete</button></th>
                                </tr>
                            </thead>
                            <tbody>
                            @if(isset($arr['status']))
                            <tr>
                                <td>#</td>
                                <td>{{ $arr['min_square_footage'] }}</td>
                                <td>{{ $arr['max_square_footage'] }}</td>
                                <td>{{ $arr['no_of_badges'] }}</td>
                                <td>
                                    <button type="button" class="btn btn-success">
                                            <i class="bi bi-check-circle"></i>
                                    </button>
                                </td>
                                <td>
                                    <button type="button" class="btn btn-danger"><i class="bi bi-exclamation-octagon"></i></button>
                                </td>
                            </tr>
                            @else
                            @foreach($arr as $limits)
                            <tr>
                                <td>#</td>
                                <td>{{ $limits['min_square_footage'] }}</td>
                                <td>{{ $limits['max_square_footage'] }}</td>
                                <td>{{ $limits['no_of_badges'] }}</td>
                                <td>
                                    <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredlimit{{$limits['id']}}">
                                            <i class="bi bi-check-circle"></i>
                                    </button>
                                </td>
                                <td>
                                <form method="POST" action="{{url('admin/home/masters/badge-limits/destroy')}}" id="deleteForm">
                                    @csrf
                                    @method('POST')
                                    <input type="hidden" name="model" value="BadgeLimit">
                                    <input type="hidden" name="id" value="{{$limits['id']}}">
                                    <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                </form>
                                </td>
                            </tr>
                            <div class="modal fade" id="editcenteredlimit{{$limits['id']}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" style="display: inline-block;">Update Limits
                                                <div class="icon" style="display: inline-block;">
                                                    <i class="bi bi-check-circle-fill verified_icon"></i>
                                                </div>
                                            </h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                        <form action="{{url('admin/home/masters/badge-limits/update')}}" class="needs-validation map_master_update" method="POST" novalidate enctype="multipart/form-data">
                                            @csrf
                                            <input type="hidden" value="badge-limits" name="model">
                                            <input type="hidden" value="{{$limits['id']}}" name="id">
                                            <div class="form-group">
                                                <label class="mb-2">Min Square Footage</label>
                                                <input placeholder="1.." type="number" name="min_square_footage" value="{{ $limits['min_square_footage'] }}" required id="min_square_footage" class="form-control mb-2">
                                                <div class="invalid-feedback">
                                                    Please Add Data.
                                                </div>
                                            </div> 
                                            <div class="form-group">
                                                <label class="mb-2">Max Square Footage</label>
                                                <input placeholder="1.." type="number" name="max_square_footage" value="{{ $limits['max_square_footage'] }}" required id="max_square_footage" class="form-control mb-2">
                                                <div class="invalid-feedback">
                                                    Please Add Data.
                                                </div>
                                            </div> 
                                            <div class="form-group">
                                                <label class="mb-2">No Of Badges</label>
                                                <input placeholder="1.." value="{{ $limits['no_of_badges'] }}" type="number" name="no_of_badges" required id="no_of_badges" class="form-control mb-2">
                                                <div class="invalid-feedback">
                                                    Please Add Data.
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <input type="submit" value="Submit" class="btn btn-primary">
                                            </div>
                                        </form>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                            @endif
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="verticalycenteredbadgelimits" tabindex="-1" style="display: none;" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Badge Limits</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{url('admin/home/masters/badge-limits')}}" class="needs-validation exhibito_content_master" method="POST" novalidate enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" value="badge-limits" name="model">
                        <div class="form-group">
                            <label class="mb-2">Min Square Footage</label>
                            <input placeholder="1.." type="number" name="min_square_footage" required id="min_square_footage" class="form-control mb-2">
                            <div class="invalid-feedback">
                                Please Add Data.
                            </div>
                        </div> 
                        <div class="form-group">
                            <label class="mb-2">Max Square Footage</label>
                            <input placeholder="1.." type="number" name="max_square_footage" required id="max_square_footage" class="form-control mb-2">
                            <div class="invalid-feedback">
                                Please Add Data.
                            </div>
                        </div> 
                        <div class="form-group">
                            <label class="mb-2">No Of Badges</label>
                            <input placeholder="1.." type="number" name="no_of_badges" required id="no_of_badges" class="form-control mb-2">
                            <div class="invalid-feedback">
                                Please Add Data.
                            </div>
                        </div> 
                        <div class="form-group">
                            <input type="submit" value="Submit" class="btn btn-primary">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    @endsection