@extends('layouts.dashboard')
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    @include('notification')
                    <div style="text-transform:capitalize;display: inline-block" class="card-title">Furniture</div>
                    <button style="display: inline-block;float: right" type="button" class="btn btn-primary"
                        data-bs-toggle="modal" data-bs-target="#verticalycenteredfurniture">
                        Add Furniture
                    </button>                
                </div>
                <div class="card-body table-responsive">
                    <table class="table datatable datatable-table">
                        <thead>
                            <tr>
                                <th data-sortable="true" style="width: 26.84729064039409%;"><button
                                        class="datatable-sorter">
                                        <b>Image</b>
                                    </button>
                                </th>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Name</button></th>
                                <th data-sortable="true" style="width: 28.48932676518883%;"><button
                                        class="datatable-sorter">Price</button></th>
                                <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                    style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                        class="datatable-sorter">Delete</button></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($arr as $key => $data)
                                <tr data-index="{{$key}}">
                                    @if(isset($data['image']))
                                        <td style="width: 300px;">
                                            <img style="width:100%" src="{{ asset('storage/' . $data['image']) }}" alt="Uploaded Image">
                                        </td>
                                    @else
                                        <td>
                                            <img src="{{$data['image_url']}}" class="img-fluid">
                                        </td>
                                    @endif
                                    <td>{{$data['name']}}</td>
                                    <td>{{ $currencySymbol . $data['price']}}</td>
                                    <td class="green">
                                        @if(isset($data['image']))
                                        <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredfurniture{{$data['id']}}">
                                            <i class="bi bi-check-circle"></i>
                                        </button>
                                        @else
                                        <button type="button" class="btn btn-success">
                                            <i class="bi bi-check-circle"></i>
                                        </button>  
                                        @endif
                                    </td>
                                    <td class="green">
                                        @if(isset($data['image']))
                                        <form method="POST" action="{{url('admin/home/masters/furniture/destroy')}}" id="deleteForm">
                                            @csrf
                                            @method('POST')
                                            <input type="hidden" name="model" value="Furniture">
                                            <input type="hidden" name="id" value="{{$data['id']}}">
                                            <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                        </form>
                                        @else
                                        <button type="button" class="btn btn-danger"><i class="bi bi-exclamation-octagon"></i></button>
                                        @endif
                                    </td>
                                </tr>          
                                @if(isset($data['image']))                      
                                <div class="modal fade" id="editcenteredfurniture{{$data['id']}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" style="display: inline-block;">Update Furniture 
                                                    <div class="icon" style="display: inline-block;">
                                                        <i class="bi bi-check-circle-fill verified_icon"></i>
                                                    </div>
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <form action="{{url('admin/home/masters/furniture/update')}}" class="needs-validation" method="POST" enctype="multipart/form-data">
                                                    @csrf
                                                    <input type="hidden" value="furniture" name="model">
                                                    <input type="hidden" value="{{$data['id']}}" name="id">
                                                    <div class="form-group mb-3">
                                                        <label>Image</label>
                                                        <input type="file" name="image" class="form-control">
                                                        <div class="invalid-feedback">
                                                            Please upload image.
                                                        </div>
                                                    </div>
                                                    <div class="form-group mb-3">
                                                        <label>Name</label>
                                                        <input type="text" placeholder="Chair..." name="name" value="{{$data['name']}}" class="form-control">
                                                        <div class="invalid-feedback">
                                                            Please provide name.
                                                        </div>
                                                    </div>
                                                    <div class="form-group mb-3">
                                                        <label>Price</label>
                                                        <input type="number" placeholder="1500" name="price" value="{{$data['price']}}" class="form-control">
                                                        <div class="invalid-feedback">
                                                            Please provide price.
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <input type="submit" value="Submit" class="btn btn-primary">
                                                    </div>
                                                </form>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @endif
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="verticalycenteredfurniture" tabindex="-1" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" style="display: inline-block;">Add Furniture 
                    <div class="icon" style="display: inline-block;">
                        <i class="bi bi-check-circle-fill verified_icon"></i>
                    </div>
                </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="{{url('admin/home/masters/furniture')}}" class="needs-validation" method="POST" novalidate enctype="multipart/form-data">
                    @csrf
                    <input type="hidden" value="furniture" name="model">
                    <div class="form-group mb-3">
                        <label>Image</label>
                        <input type="file" name="image" required class="form-control">
                        <div class="invalid-feedback">
                            Please upload image.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Name</label>
                        <input type="text" placeholder="Chair..." required name="name" class="form-control">
                        <div class="invalid-feedback">
                            Please provide name.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Price</label>
                        <input type="number" placeholder="1500" required name="price" class="form-control">
                        <div class="invalid-feedback">
                            Please provide price.
                        </div>
                    </div>
                    <div class="form-group">
                        <input type="submit" value="Submit" class="btn btn-primary">
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
<script>
    function confirmDelete() {
        Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                document.getElementById('deleteForm').submit();
            }
        });
    }
</script>
@endsection