@extends('layouts.dashboard')
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                @include('notification')
                <div class="card-header">
                    <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Visitor</div>
                    <a style="float: right;margin: 10px 0 20px 0;" href="{{ url('/admin/home/users/visitor/create') }}" class="btn btn-primary">Add Visitor</a>
                </div>
                <div class="card-body">
                <table class="table datatable datatable-table">
                        <thead>
                            <tr>
                            <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">#</button></th>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Company Name</button></th>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                class="datatable-sorter">Name</button></th>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                class="datatable-sorter">Email</button></th>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                class="datatable-sorter">Mobile</button></th>
                                <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                    style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                        class="datatable-sorter">Delete</button></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($visitors as $key => $visitor)
                            <tr>
                                <td>{{ $key + 1 }}</td>
                                <td>{{ $visitor->profile ? $visitor->profile->company_name : '-' }}</td>
                                <td>{{ $visitor->name }}</td>
                                <td>{{ $visitor->email }}</td>
                                <td>{{ $visitor->profile ? $visitor->profile->phone_number : '-' }}</td>
                                <td>
                                    <button type="button" disabled class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredpower{{$visitor->id}}">
                                        <i class="bi bi-check-circle"></i>
                                    </button>
                                </td>
                                <td>
                                    <form method="POST" action="{{url('admin/home/users/visitor/destroy')}}" id="deleteForm">
                                        @csrf
                                        @method('POST')
                                        <input type="hidden" name="model" value="User">
                                        <input type="hidden" name="id" value="{{$visitor->id}}">
                                        <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                    </form>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection