    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">advertisement</div>
                        </div>
                        <div class="card-body">
                        @if($exhibitor->advertisementRequirement)
                    <table class="table table-striped table-bordered table-responsive">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Price</th>
                                <th>Quantity</th>
                                <th>Total Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($exhibitor->advertisementRequirement->details as $detail)
                                <tr>
                                    <td>{{ $detail->name }}</td>
                                    <td>{{ $detail->price }}</td>
                                    <td>{{ $detail->advertisement_required }}</td>
                                    <td>{{ $detail->total }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                        <tfoot>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Total Rs: </th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->sub_total}}</th>
                            </tr>
                        	@if(!round($exhibitor->advertisementRequirement->discount,2) == 0)                            
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Discount(%)</th>
                                <th>{{$exhibitor->advertisementRequirement->discount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Discount Amount</th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->discount_amount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>After Discount Amount</th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->discounted_amount}}</th>
                            </tr>
                            @endif
                            <tr>
                                <th></th>
                                <th></th>
                                <th>@SGST: (9%) </th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->sgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>@CGST: (9%) </th>
                                <th value="0">Rs. {{$exhibitor->advertisementRequirement->cgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Grand Total: </th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->grand_total}}</th>
                            </tr>
                        </tfoot>
                    </table>
                    @endif
                        </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endsection