<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Optika Mumbai</title>

    <!-- css -->
    <link rel="stylesheet" href="frontend/bower_components/bootstrap/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="frontend/bower_components/ionicons/css/ionicons.min.css">
    <link rel="stylesheet" href="frontend/assets/css/main.css">
</head>
<style>
    nav .site-branding .logo{
        position: absolute;
    }
    nav .site-branding .logo img{
        width:100%;
    }
</style>
<body data-spy="scroll" data-target="#site-nav">
    <nav id="site-nav" class="navbar navbar-fixed-top navbar-custom">
        <div class="container">
            <div class="navbar-header">

                <!-- logo -->
                <div class="site-branding">
                    <a class="logo" href="index.html">
                        
                        <!-- logo image  -->
                        @php
                        $logo = App\Models\Media::where('category','website-logo')->first();
                        @endphp
                        @if($logo)
                            <img class="img-fluid" src="{{ asset('storage/' . $logo->image ) }}" alt="">
                        @else
                            <img src="frontend/assets/images/logo.png" alt="Logo">
                        @endif
                    </a>
                </div>

                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-items" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

            </div><!-- /.navbar-header -->

            <div class="collapse navbar-collapse" id="navbar-items">
                <ul class="nav navbar-nav navbar-right">

                    <!-- navigation menu -->
                    <li class="active"><a data-scroll href="#about">About</a></li>
                    <li><a data-scroll href="#speakers">Speakers</a></li>              
                    <li><a data-scroll href="#schedule">Schedule</a></li>                  
                    <li><a data-scroll href="#partner">Partner</a></li>                  
                    <!-- <li><a data-scroll href="#">Sponsorship</a></li> -->
                    <li><a data-scroll href="#faq">FAQ</a></li>
                    <li><a data-scroll href="#photos">Photos</a></li>
                    <li><a href="{{ url('/login') }}">Login</a></li>
                
                </ul>
            </div>
        </div><!-- /.container -->
    </nav>

    <header id="site-header" class="site-header valign-center"> 
        <div class="intro">
            @php
             $setting = App\Models\Setting::where('meta_key', 'exhibition-venue')->first();
             if($setting){
                $data = json_decode($setting->meta_value);
                $venue = $data->venue;
                $date = $data->date;
             }else{
                $venue = '--';
                $date = '--';
             }
            @endphp
            <h2>{{ $venue }}</h2>
            
            <h1>{{ $date }}</h1>
            
            <p>First &amp; Largest Conference</p>
            
            <a class="btn btn-white" data-scroll href="#registration">Register Now</a>
        
        </div>
    </header>
    @yield('content')
    <footer class="site-footer">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <p class="site-info">Designed and <br> Developed by <a href="#">RSDEXPO</a></p>
                    <ul class="social-block">
                        <li><a href=""><i class="ion-social-twitter"></i></a></li>
                        <li><a href=""><i class="ion-social-facebook"></i></a></li>
                        <li><a href=""><i class="ion-social-linkedin-outline"></i></a></li>
                        <li><a href=""><i class="ion-social-googleplus"></i></a></li>
                    </ul>
                </div>
            </div>
        </div>
    </footer>

    <!-- script -->
    <script src="frontend/bower_components/jquery/dist/jquery.min.js"></script>
    <script src="frontend/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="frontend/bower_components/smooth-scroll/dist/js/smooth-scroll.min.js"></script>
    <script src="frontend/assets/js/main.js"></script>
</body>
</html>